use crate::types::{Color, Size};

#[derive(Clone, Debug)]
pub struct Jitter {
    pub x: i8,
    pub y: i8,
}

#[derive(Clone, Debug)]
pub struct StoneElement {
    pub color: Color,
    pub jitter: Jitter,
}

#[derive(Clone, Debug)]
pub struct GameBoardElement {
    pub size: Size,
    pub spaces: Vec<Vec<StoneElement>>,
}

#[derive(Clone, Debug)]
pub struct PlayerCardElement {
    pub color: Color,
    pub name: String,
    pub rank: String,
    pub clock: String,
}

#[derive(Clone, Debug)]
pub struct ChatElement {
    pub messages: Vec<String>,
}

#[derive(Clone, Debug)]
pub struct TextFieldElement {}
